#property copyright "Copyright 2016, Brian Lillard"
#property link      "http://5026.net78.net/"
#property version   "1.00"
#property strict
#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1  Gold //Magenta
#property indicator_color2  Aqua //DodgerBlue
#property indicator_color3  Gold
#property indicator_color4  Aqua
#property indicator_color5  Gold //Red
#property indicator_color6  Aqua //Blue
#property indicator_width1 0
#property indicator_width2 0
#property indicator_width3 0
#property indicator_width4 0
#property indicator_width5 0
#property indicator_width6 0

extern int Method = 1;
extern int Price = 1;

double ExtMapBuffer1[]; 
double ExtMapBuffer2[];
double ExtMapBuffer3[]; 
double ExtMapBuffer4[];
double ExtMapBuffer5[]; 
double ExtMapBuffer6[];

int ExtCountedBars;
int pos;


int OnInit()
 {
 SetIndexBuffer(0, ExtMapBuffer1);
 SetIndexBuffer(1, ExtMapBuffer2);
 SetIndexBuffer(2, ExtMapBuffer3);
 SetIndexBuffer(3, ExtMapBuffer4);
 SetIndexBuffer(4, ExtMapBuffer5);
 SetIndexBuffer(5, ExtMapBuffer6);
 
 SetIndexLabel(0,"Moving Average (6)");
 SetIndexLabel(1,"Moving Average (12)");
 SetIndexLabel(2,"Moving Average (30)");
 SetIndexLabel(3,"Moving Average (60)");
 SetIndexLabel(4,"Moving Average (90)");
 SetIndexLabel(5,"Moving Average (120)");
 
 SetIndexStyle(0,DRAW_LINE); 
 SetIndexStyle(1,DRAW_LINE); 
 SetIndexStyle(2,DRAW_LINE); 
 SetIndexStyle(3,DRAW_LINE); 
 SetIndexStyle(4,DRAW_LINE); 
 SetIndexStyle(5,DRAW_LINE); 
 
 return(INIT_SUCCEEDED);
 }


int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
 {
 ExtCountedBars=IndicatorCounted();
 if(ExtCountedBars<0){return(-1);}
 if(ExtCountedBars>0){ExtCountedBars--;}
 pos=Bars-ExtCountedBars-1;
 while(pos>=0)
  {
  ExtMapBuffer1[pos]=iMA(NULL,0,6,0,Method,Price,pos);
  ExtMapBuffer2[pos]=iMA(NULL,0,12,0,Method,Price,pos);
  ExtMapBuffer3[pos]=iMA(NULL,0,30,0,Method,Price,pos);
  ExtMapBuffer4[pos]=iMA(NULL,0,60,0,Method,Price,pos);
  ExtMapBuffer5[pos]=iMA(NULL,0,90,0,Method,Price,pos);
  ExtMapBuffer6[pos]=iMA(NULL,0,120,0,Method,Price,pos);
  pos--;
  }
 return(rates_total);
 }
 
